.sdg-plugin {
    margin-bottom: @grid-gutter-width;

    &.carousel {
        overflow: hidden;
        margin-left: -@grid-gutter-width/2;
        margin-right: -@grid-gutter-width/2;

        @media (min-width: @screen-md-min) {
            margin-left: -@grid-gutter-width;
            margin-right: -@grid-gutter-width;
        }
    }
}

.sdg-plugin__list {
    display: flex;
    flex-flow: row wrap;
    margin-left: -@grid-gutter-width/2;
    margin-right: -@grid-gutter-width/2;

    @media (max-width: @screen-xs-max) {
        margin-left: -@grid-gutter-width/3;
        margin-right: -@grid-gutter-width/3;
    }

    @supports (display: grid) {
        margin: 0 !important;
        display: grid;
        grid-gap: 0 30px;
        grid-template-columns: repeat(auto-fill, minmax(170px, 1fr));

        @media (max-width: @screen-xs-max) {
            grid-template-columns: repeat(auto-fill, minmax(100px, 1fr));
            grid-gap: 0 15px;
        }
    }

    &__sdg {
        padding-left: @grid-gutter-width/2;
        padding-right: @grid-gutter-width/2;
        margin-bottom: @grid-gutter-width;
        flex-basis: 170px;

        @media (max-width: @screen-xs-max) {
            flex-basis: 100px;
            padding-left: @grid-gutter-width/3;
            padding-right: @grid-gutter-width/3;
            margin-bottom: @grid-gutter-width/2;
        }

        @supports (display: grid) {
            padding-left: 0 !important;
            padding-right: 0 !important;
        }

        button {
            border: none;
            background: none;
            padding: 0;
            width: 100%;

            &:hover,
            &:focus {
                opacity: 0.7;
            }
        }

        img {
            width: 100%;
            height: auto;
        }
    }
}

.sdg-plugin__carousel {
    a {
        &:hover,
        &:focus {
            opacity: 0.7;
        }
    }

    img {
        width: 100%;
        height: auto;
    }

    .glide__controls__back,
    .glide__controls__next {
        @media (min-width: @screen-md-min) {
            transform: translateY(-50%);
        }
    }
}
